Search found 748 matches

by kimberly
Fri Feb 05, 2021 12:31 pm
Forum: AI-deck
Topic: Issue when flashing AI deck and crazyflie firmware
Replies: 3
Views: 327

Re: Issue when flashing AI deck and crazyflie firmware

Ah oke good! it might have been that there was too many printfs (debug_print), that can cause the connection to be cluttered. But there is a log variable for it so its better to use that instead.
by kimberly
Fri Feb 05, 2021 12:30 pm
Forum: Support
Topic: cfclient fails to start
Replies: 3
Views: 378

Re: cfclient fails to start

Hi!

There are a lot of changes happening now with both the cfclient and the cflib, so you will need to get the very latest version of the cflib as well.

If you are not focussed in developing cfclient or the cflib, it would be better to revert the source to latest release tag and try again.
by kimberly
Fri Feb 05, 2021 9:33 am
Forum: Loco Positioning System
Topic: Logging validAngles resets the cf
Replies: 3
Views: 554

Re: Logging validAngles resets the cf

Hi! I actually was able to verify this as well, and yes the crazyflie gets a hardfault. We don't exactly know why this happens, as this log was part of a pull request done by an external and maybe this one works only for V1. We might remove this due to our current work to stabilize LH. Could you mak...
by kimberly
Fri Feb 05, 2021 9:23 am
Forum: General discussions
Topic: About errno 13 Access Denied
Replies: 3
Views: 1021

Re: About errno 13 Access Denied

Have you granted permissions to use your crazyradio first? Here are some udev instructions to do that on ubuntu

https://www.bitcraze.io/documentation/r ... rmissions/
by kimberly
Fri Feb 05, 2021 9:22 am
Forum: AI-deck
Topic: Issue when flashing AI deck and crazyflie firmware
Replies: 3
Views: 327

Re: Issue when flashing AI deck and crazyflie firmware

It seems from they terminal print out that the crazyflie is connected. Can you try to connect with your crazyflie with the cfclient with a cable?
by kimberly
Wed Feb 03, 2021 10:07 am
Forum: Support
Topic: My Crazyflie won't hover
Replies: 4
Views: 598

Re: My Crazyflie won't hover

Have you tried to connect the crazyflie to the cfcient first as in the tutorial ? You can then c heck what the address is of of your crazyflie since your error message indicates that it can not connect to the crazyflie. The fact that the propellers run but does not take of, could also indicate that ...
by kimberly
Tue Feb 02, 2021 10:05 am
Forum: Developer Discussions
Topic: Why doesn't the EKF use the compass?
Replies: 1
Views: 213

Re: Why doesn't the EKF use the compass?

Hi! It is a good question and I believe that the papers that are listed in kalman_core.c don't mention this specially. But what I can imagine can be the reason, is that a magnetometer/compass indoors performs notoriously bad (can fluctuate +/- 50 deg ), which can change from area to area due to elec...
by kimberly
Tue Feb 02, 2021 9:55 am
Forum: AI-deck
Topic: [SOLVED]ARM-JTAG-20-10 vs ARM-USB-TINY-H for the AI deck
Replies: 1
Views: 248

Re: ARM-JTAG-20-10 vs ARM-USB-TINY-H for the AI deck

The ARM-JTAG-20-10 is a 20 pin to 10 pin adapter for the olimex, and ARM-USB-TINY-H is the programmer itself. Both is necessary to program the AIdeck, where you put the ARM-jtag-20-10 on the ARM-USB-TINY-H and connect the 10 pin lint cable (from the arm-jtag-20-10) to the deck. See the rest of the d...
by kimberly
Tue Feb 02, 2021 7:51 am
Forum: AI-deck
Topic: AI-deck can't release WiFi
Replies: 16
Views: 1333

Re: AI-deck can't release WiFi

that is odd indeed. Reinstalling the virtual machine should not make any difference so let's investigate a little bit. 1- Could you open the .bashrc file by: gedit ~/.bashrc and check if 'export GAP_SDK_VERSION=3.8.1' is at the end of the file? 2- If you see it, restart the terminal or do source ~/....
by kimberly
Mon Feb 01, 2021 2:23 pm
Forum: AI-deck
Topic: AI-deck can't release WiFi
Replies: 16
Views: 1333

Re: AI-deck can't release WiFi

hi! This does not seem that it is a internet restriction problem. Make sure that you have the right SDK version defined before starting to build the docker file. This means that you need to (in your local machine) define the SDK version like this in the terminal: export GAP_SDK_VERSION=3.8.1 Or add ...